## ros-iron-laser-proc 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(laser_proc)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(class_loader REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)

add_library(laser_proc SHARED
  src/laser_proc.cpp
  src/laser_publisher.cpp
)
target_include_directories(laser_proc
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(laser_proc
  rclcpp
  sensor_msgs
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "LASER_PROC_BUILDING_LIBRARY")

## Laser Proc component
add_library(laser_proc_component SHARED src/laser_proc_component.cpp)
target_link_libraries(laser_proc_component laser_proc)
ament_target_dependencies(laser_proc_component
  class_loader
)
rclcpp_components_register_node(laser_proc_component
  PLUGIN "laser_proc::LaserProcComponent"
  EXECUTABLE laser_proc_node
)

install(TARGETS laser_proc laser_proc_component
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/
  DESTINATION include
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(rclcpp)
ament_export_dependencies(sensor_msgs)
ament_export_include_directories(include)
ament_export_libraries(laser_proc)

ament_package()

=== debian/changelog ===
ros-iron-laser-proc (1.0.2-6jammy) jammy; urgency=high

  * Use C-style strings for RCLCPP_ macros. (#12 <https://github.com/ros-perception/laser_proc/issues/12>)
  * Contributors: Chris Lalancette

 -- Chad Rockey <chadrockey@willowgarage.com>  Mon, 25 Jan 2021 16:00:00 -0000

ros-iron-laser-proc (1.0.1-6jammy) jammy; urgency=high

  * Make sure to add necessary build dependencies. (#9 <https://github.com/ros-perception/laser_proc/issues/9>)
  * Contributors: Chris Lalancette

 -- Chad Rockey <chadrockey@willowgarage.com>  Mon, 23 Mar 2020 16:00:00 -0000

ros-iron-laser-proc (1.0.0-6jammy) jammy; urgency=high

  * export symbols in laser_proc component (#8 <https://github.com/ros-perception/laser_proc/issues/8>)
  * Make the laser_proc library shared. (#7 <https://github.com/ros-perception/laser_proc/issues/7>)
  * Ros2 devel (#6 <https://github.com/ros-perception/laser_proc/issues/6>)
  * Contributors: Chris Lalancette, Karsten Knese, Brett, Gu, Chao Jie, Marc-Antoine Testier

 -- Chad Rockey <chadrockey@willowgarage.com>  Mon, 16 Mar 2020 16:00:00 -0000

ros-iron-laser-proc (0.1.5-6jammy) jammy; urgency=high

  * update to use non deprecated pluginlib macro
  * Contributors: Jonathan Binney, Mikael Arguedas

 -- Chad Rockey <chadrockey@willowgarage.com>  Wed, 08 Aug 2018 16:00:00 -0000

ros-iron-laser-proc (0.1.4-6jammy) jammy; urgency=high

  * Install fix for Android.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Sat, 29 Mar 2014 16:00:00 -0000

ros-iron-laser-proc (0.1.3-6jammy) jammy; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Tue, 20 Aug 2013 16:00:00 -0000

ros-iron-laser-proc (0.1.2-6jammy) jammy; urgency=high

  * Uncaught except when subscribing to most_intense on non-intensity scans.
  * Updated function to be const.
  * Contributors: chadrockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Wed, 13 Mar 2013 16:00:00 -0000

ros-iron-laser-proc (0.1.1-6jammy) jammy; urgency=high

  * Merge pull request #1 <https://github.com/ros-perception/laser_proc/issues/1> from ros-perception/fix_pluginlib_depend
    Add missing dependency on pluginlib
  * Add missing dependency on pluginlib
  * Contributors: Chad Rockey, William Woodall

 -- Chad Rockey <chadrockey@willowgarage.com>  Thu, 07 Mar 2013 16:00:00 -0000

ros-iron-laser-proc (0.1.0-6jammy) jammy; urgency=high

  * Minor fixes.
  * Added ROS nodelet/node.
  * Adjusted advertiseLaser to be more standard.  Fixed seg fault with first and laser publishers.
  * Preparing to test with urg_node
  * Initial commit
  * Contributors: Chad Rockey, chadrockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Sun, 03 Mar 2013 16:00:00 -0000

=== debian/control ===
Source: ros-iron-laser-proc
Section: misc
Priority: optional
Maintainer: Chad Rockey <chadrockey@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-class-loader, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/laser_proc
Standards-Version: 3.9.2

Package: ros-iron-laser-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-class-loader, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-ros-workspace
Description: laser_proc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-laser-proc//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
